groovy.model

## Class PropertyModel

- java.lang.Object
- - groovy.model.PropertyModel

All Implemented Interfaces:
  NestedValueModel, ValueModel

    public class PropertyModel
    extends java.lang.Object
    implements ValueModel, NestedValueModel

Represents a property of a value as a model.

### Constructor Summary

Constructors
Constructor and Description
`PropertyModel(ValueModel sourceModel, java.lang.String property)`
`PropertyModel(ValueModel sourceModel, java.lang.String property, java.lang.Class type)`
`PropertyModel(ValueModel sourceModel, java.lang.String property, java.lang.Class type, boolean editable)`

### Method Summary

Methods
`java.lang.String` `getProperty()`
`ValueModel` `getSourceModel()`
`java.lang.Class` `getType()`
`java.lang.Object` `getValue()`
`boolean` `isEditable()`
`void` `setValue(java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyModel

    public PropertyModel(ValueModel sourceModel,
                 java.lang.String property)

#### PropertyModel

    public PropertyModel(ValueModel sourceModel,
                 java.lang.String property,
                 java.lang.Class type)

#### PropertyModel

    public PropertyModel(ValueModel sourceModel,
                 java.lang.String property,
                 java.lang.Class type,
                 boolean editable)

### Method Detail

#### getProperty

    public java.lang.String getProperty()

#### getSourceModel

    public ValueModel getSourceModel()

Specified by:
  `getSourceModel` in interface `NestedValueModel`

#### getValue

    public java.lang.Object getValue()

Specified by:
  `getValue` in interface `ValueModel`

#### setValue

    public void setValue(java.lang.Object value)

Specified by:
  `setValue` in interface `ValueModel`

#### getType

    public java.lang.Class getType()

Specified by:
  `getType` in interface `ValueModel`

#### isEditable

    public boolean isEditable()

Specified by:
  `isEditable` in interface `ValueModel`